const slider = document.querySelector(".slider");

const productCollection = [
  {
    productImage: "https://i.ibb.co/6ZN07kw/pexels-markusspiske-1268101.jpg",
    productTitle: "yellow freash carrot",
    productDetail:
      "Daily updates of all special deals. Bookmark this page & come back often.",
  },
  {
    productImage:
      "https://i.ibb.co/QfDsHB7/pexels-frans-van-heerden-201846-625422.jpg",
    productTitle: "healthy mix fruits",
    productDetail:
      "Daily updates of all special deals. Bookmark this page & come back often.",
  },
  {
    productImage: "https://i.ibb.co/DfwqXZN/pexels-angele-j-35172-128402.jpg",
    productTitle: "freash and healthy vegetable",
    productDetail:
      "Daily updates of all special deals. Bookmark this page & come back often.",
  },
  {
    productImage: "https://i.ibb.co/MRvXVZD/pexels-veeterzy-70862.jpg",
    productTitle: "pure black grape bucket",
    productDetail:
      "Daily updates of all special deals. Bookmark this page & come back often.",
  },
  {
    productImage: "https://i.ibb.co/Yf9FPwq/pexels-markusspiske-965740.jpg",
    productTitle: "freash and healthy tomatoo",
    productDetail:
      "Daily updates of all special deals. Bookmark this page & come back often.",
  },
  {
    productImage: "https://i.ibb.co/K94TYqY/pexels-elletakesphotos-1660027.jpg",
    productTitle: "freash and healthy vegetable",
    productDetail:
      "Daily updates of all special deals. Bookmark this page & come back often.",
  },
];

window.addEventListener("load", productSlider());

function productSlider() {
  let products = "";
  for (let product in productCollection) {
    products += `
            <div class="slider__item">
                <div class="item__content">
                    <div class="img__box">
                        <img src="${productCollection[product].productImage}" alt="image">
                    </div>
                    
                    <div class="slider__body">
                        <h3>${productCollection[product].productTitle}</h3>
                        <p>${productCollection[product].productDetail}</p>
                        <a href="#">shop now</a>
                    </div>
                </div>
                
            </div>
            `;
  }
  slider.innerHTML = products;
}

const tnSlider = tns({
  container: ".slider",
  items: 1,
  gutter: 15,
  slideBy: 1,
  nav: true,
  navPosition: "bottom",
  speed: 400,
  controlsContainer: "#slider-controls",
  prevButton: ".previous",
  nextButton: ".next",
  avAsThumbnails: false,
  responsive: {
    992: {
      items: 2,
    },
  },
});
